Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.mapa
Class Mapa.IcsProjection

    java.lang.Object
      com.maryanovsky.map.client.mapa.Mapa.IcsProjection

All Implemented Interfaces:
  Projection

Enclosing class:
  Mapa

    public static class Mapa.IcsProjection

extends Object
implements Projection

The Israel Cassini-Soldner projection. Formulas taken from http://www.epsg.org/guides/docs/G7-2.pdf. Some code taken from http://home.hiwaay.net/~taylorc/toolbox/geography/geoutm.html.

Constructor Summary
`Mapa.IcsProjection()`

Method Summary
`Point` | `fromLatLngToPixel(LatLng latLng, int zoom)` Returns the pixel coordinates corresponding to the specified latitude-longitude coordinates at the specified zoom.
`LatLng` | `fromPixelToLatLng(PointView pixel, int zoom)` Returns the latitude-longitude coordinates corresponding to the specified pixel coordinates at the specified zoom.
`SizeView` | `getWrapSize(int zoom)` Returns the number of pixels after which the map wraps around the earth on each axis at the specified zoom.
`double` | `getZoomMagnification(int startZoom, int endZoom)` Returns the magnification coefficient between the two specified zooms, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapa.IcsProjection

    public Mapa.IcsProjection()

Method Detail

### fromLatLngToPixel

    public Point fromLatLngToPixel(LatLng latLng,
                                   int zoom)

  Returns the pixel coordinates corresponding to the specified latitude-longitude coordinates at the specified zoom.

  Specified by:
    `fromLatLngToPixel` in interface `Projection`

### fromPixelToLatLng

    public LatLng fromPixelToLatLng(PointView pixel,
                                    int zoom)

  Returns the latitude-longitude coordinates corresponding to the specified pixel coordinates at the specified zoom. This method should always return a legal value, even if the pixel coordinates fall outside the map. In such a case, the projection may, for example, choose to return the closest legal location or wrap around.

  Specified by:
    `fromPixelToLatLng` in interface `Projection`

### getZoomMagnification

    public double getZoomMagnification(int startZoom,
                                       int endZoom)

  Returns the magnification coefficient between the two specified zooms, i.e. how much the map is magnified when the zoom is changed from `startZoom` to `endZoom`. This would normally be a value larger than 1 if `endZoom` is larger than `startZoom` and vice versa.

  Specified by:
    `getZoomMagnification` in interface `Projection`

### getWrapSize

    public SizeView getWrapSize(int zoom)

  Returns the number of pixels after which the map wraps around the earth on each axis at the specified zoom. A value of 0 indicates that the map does not repeat itself.

  Specified by:
    `getWrapSize` in interface `Projection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD